import * as DriverWeex from 'driver-weex';
import { convertUnit, setRpx } from 'style-unit';
var driver = Object.assign({}, DriverWeex, {
  beforeRender: function beforeRender() {
    // Turn off batched updates
    document.open(); // Init rem unit

    setRpx(1);
  },
  createElement: function createElement(type, props) {
    if (props === void 0) {
      props = {};
    }

    var style = {};
    var originStyle = props.style;

    if (originStyle) {
      for (var prop in originStyle) {
        style[prop] = convertUnit(originStyle[prop], prop);
      }
    }

    return DriverWeex.createElement(type, Object.assign({}, props, {
      style: style
    }));
  },
  setStyle: function setStyle(node, style) {
    for (var prop in style) {
      // translate 'rpx' to px
      style[prop] = convertUnit(style[prop], prop);
    }

    DriverWeex.setStyle(node, style);
  }
});
export default driver;