"use strict";

exports.__esModule = true;
exports.default = void 0;

var DriverWeex = _interopRequireWildcard(require("driver-weex"));

var _styleUnit = require("style-unit");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var driver = Object.assign({}, DriverWeex, {
  beforeRender: function beforeRender() {
    // Turn off batched updates
    document.open(); // Init rem unit

    (0, _styleUnit.setRpx)(1);
  },
  createElement: function createElement(type, props) {
    if (props === void 0) {
      props = {};
    }

    var style = {};
    var originStyle = props.style;

    if (originStyle) {
      for (var prop in originStyle) {
        style[prop] = (0, _styleUnit.convertUnit)(originStyle[prop], prop);
      }
    }

    return DriverWeex.createElement(type, Object.assign({}, props, {
      style: style
    }));
  },
  setStyle: function setStyle(node, style) {
    for (var prop in style) {
      // translate 'rpx' to px
      style[prop] = (0, _styleUnit.convertUnit)(style[prop], prop);
    }

    DriverWeex.setStyle(node, style);
  }
});
var _default = driver;
exports.default = _default;